!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
! Physical constants
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
module phys_const
  ! PI is defined with more digits than necessary to avoid losing
  ! the last few bits in the decimal to binary conversion
  real(8), parameter :: clight = 2.99792458d8 ! (m/s) Light velocity.
  real(8), parameter :: kbolt  = 1.38d-23     ! (J/K) Boltzman constant.
  real(8), parameter :: pi  = 3.14159265358979323846d0
  real(4), parameter :: pis = 3.141592653
  real(8), parameter :: rad_per_sec = pi/(180d0*3600d0)
  real(8), parameter :: sec_per_rad = (180d0*3600d0)/pi
  real(8), parameter :: rad_per_deg = pi/(180d0)
  real(8), parameter :: deg_per_rad = (180d0)/pi
end module phys_const
!
!!!!!!!!!!!!!!!!!!!!!!!! phys_const.f90 ends here !!!!!!!!!!!!!!!!!!!!!!!!!
