!----------------------------------------------------------------------------
! INDEX.INC Index common
! New version with in core index for input and output files, in addition to
! current index.
!----------------------------------------------------------------------------
!
! Parametres
      INTEGER M_IX, M_OX, M_CX
      PARAMETER (M_IX = 100000)        ! max number of scans in input file
      PARAMETER (M_OX = 100000)        ! max number of scans in output file
      PARAMETER (M_CX = 100000)        ! max number of scans in current index
!
! Declaration des variables
      INTEGER*4 XINDEX(32)             ! valeurs pour les criteres de recherche
      INTEGER*4 LINDEX(32)             ! valeurs lues dans l'index
      INTEGER*4 XSOURC_D(3)            ! source recherchee
      INTEGER*4 LSOURC(3)              ! source lue dans l'index
      INTEGER*4 XLINE_D(3)             ! raie recherchee
      INTEGER*4 LLINE(3)               ! raie lue dans l'index
      INTEGER*4 XTELES_D(3)            ! telescope recherche
      INTEGER*4 LTELES(3)              ! telescope lu dans l'index
      INTEGER*4 XBLOC                  ! bloc recherche
      INTEGER*4 LBLOC                  ! bloc lu dans l'index
      INTEGER*4 XVER                   ! version min. recherchee
      INTEGER*4 YVER                   ! version max. recherchee
      INTEGER*4 LVER                   ! version lue dans l'index
      INTEGER*4 XDOBS                  ! date obs min. recherchee
      INTEGER*4 YDOBS                  ! date obs. max. recherchee
      INTEGER*4 LDOBS                  ! date obs. lue dans l'index
      INTEGER*4 XDRED                  ! date red min. recherchee
      INTEGER*4 YDRED                  ! date red. max. recherchee
      INTEGER*4 LDRED                  ! date red. lue dans l'index
      INTEGER*4 XTYPE                  ! type offsets recherches
      INTEGER*4 LTYPEC                 ! type offsets lus
!
      INTEGER*4 LKIND                  ! type d'observation 	KIND = 0 Spectre
      INTEGER*4 XKIND                  ! type recherche	KIND = 1 Continuum
      INTEGER*4 LQUAL                  ! Qualite lue
      INTEGER*4 XQUAL                  ! Qualite cherchee
      INTEGER*4 LSCAN                  ! Numero de Scan lu
      INTEGER*4 XSCAN                  ! Numero de Scan cherche
      INTEGER*4 YSCAN                  !
!
      INTEGER*4 XNUM                   ! numero min. recherche
      INTEGER*4 YNUM                   ! numero max. recherche
      INTEGER*4 LNUM                   ! numero lu
      INTEGER*4 IX_NUM(M_IX)           ! numeros pour le fichier d'entree
      INTEGER*4 OX_NUM(M_OX)           ! numeros pour le fichier de sortie
      INTEGER*4 CX_NUM(M_CX)           ! numeros pour l'index courant
      INTEGER*4 CXNEXT                 ! prochaine entree de l'index courant
!
      REAL*4 XOFF1                     ! offset 1 min. recherche
      REAL*4 YOFF1                     ! offset 1 max recherche
      REAL*4 LOFF1                     ! offset 1 lu
      REAL*4 XOFF2                     ! offset 2 min. recherche
      REAL*4 YOFF2                     ! offset 2 max. recherche
      REAL*4 LOFF2                     ! offset 2 lu
      REAL*4 XPOSA                     ! Angle de position min. recherche
      REAL*4 YPOSA                     ! Angle de position max. recherche
      REAL*4 LPOSA                     ! Angle de position lu
!
      INTEGER ILINE                    ! Longueur nom de raie
      INTEGER ISOURC                   ! Longueur nom de source
      INTEGER ITELES                   ! Longueur nom de telescope
      INTEGER IX_BLOC(M_IX)            ! numeros de bloc pour le fichier d'entree
      INTEGER OX_BLOC(M_OX)            ! numeros de bloc pour le fichier de sortie
      INTEGER CX_BLOC(M_CX)            ! numeros de bloc pour l'index courant
      INTEGER IX_VER(M_IX)             ! numeros de version pour le fichier d'entree
      INTEGER OX_VER(M_OX)             ! numeros de version pour le fichier de sorti
      INTEGER CX_VER(M_CX)             ! numeros de version pour l'index courant
      INTEGER IX_KIND(M_IX)            ! Type de donnees pour le fichier d'entree
      INTEGER IX_QUAL(M_IX)            ! Qualite de don. fichier d'entree
! num. d'index du f. d'e. pour l'index courant
      INTEGER CX_IND(M_CX)
! date observee pour le fichier d'entree
      INTEGER IX_SCAN(M_IX), IX_DOBS(M_IX)
!
      LOGICAL LAST                     ! flag recherche derniere version seulement
      LOGICAL FNUM                     ! flag recherche par numero de scan
      LOGICAL FVER                     ! flag recherche par version
      LOGICAL FSOURC                   ! flag recherche par nom de source
      LOGICAL FLINE                    ! flag recherche par nom de raie
      LOGICAL FTELES                   ! flag recherche par nom de telescope
      LOGICAL FDOBS                    ! flag recherche par date d'observation
      LOGICAL FDRED                    ! flag recherche par date de reduction
      LOGICAL FOFF1                    ! flag recherche par offset 1
      LOGICAL FOFF2                    ! flag recherche par offset 2
      LOGICAL FSCAN                    ! Flag recherche par scan
      LOGICAL FPOSA                    ! Flag recherche par angle de position
!
      CHARACTER*12 XCSOUR,XCLINE,XCTELE
!
! Equivalence statements
      EQUIVALENCE                                                       &
     &(XINDEX(1),XBLOC), (XINDEX(2),XNUM), (XINDEX(3),XVER),            &
     &(XINDEX(4),XSOURC_D(1)), (XINDEX(7),XLINE_D(1)),                  &
     &(XINDEX(10),XTELES_D(1)), (XINDEX(13),XDOBS),                     &
     &(XINDEX(14),XDRED), (XINDEX(15),XOFF1),                           &
     &(XINDEX(16),XOFF2), (XINDEX(17),XTYPE), (XINDEX(18),XKIND),       &
     &(XINDEX(19),XQUAL), (XINDEX(20),XSCAN), (XINDEX(21),XPOSA)
      EQUIVALENCE                                                       &
     &(LINDEX(1),LBLOC), (LINDEX(2),LNUM), (LINDEX(3),LVER),            &
     &(LINDEX(4),LSOURC(1)), (LINDEX(7),LLINE(1)),                      &
     &(LINDEX(10),LTELES(1)), (LINDEX(13),LDOBS),                       &
     &(LINDEX(14),LDRED), (LINDEX(15),LOFF1),                           &
     &(LINDEX(16),LOFF2), (LINDEX(17),LTYPEC), (LINDEX(18),LKIND),      &
     &(LINDEX(19),LQUAL), (LINDEX(20),LSCAN), (LINDEX(21),LPOSA)
!
! Common
      COMMON /IND/ XINDEX,LINDEX,                                       &
     &YNUM,YVER,YDOBS,YDRED,YOFF1,YOFF2,YSCAN,YPOSA,                    &
     &LAST,FNUM,FVER,FSOURC,FLINE,FTELES,FDOBS,FDRED,FSCAN,             &
     &FPOSA,                                                            &
     &FOFF1,FOFF2,IX_BLOC,OX_BLOC,CX_BLOC,IX_KIND,IX_QUAL,              &
     &IX_NUM,OX_NUM,CX_NUM,IX_VER,OX_VER,CX_VER,CX_IND,CXNEXT,          &
     &ISOURC,ILINE,ITELES, IX_DOBS, IX_SCAN
!
      COMMON /CIND/ XCSOUR,XCLINE,XCTELE
!
      SAVE /IND/, /CIND/
!--------------------------------------------------------------------------
