!-----------------------------------------------------------------------
! SETUP.INC   Common pour les defauts
!-----------------------------------------------------------------------
!
      INTEGER MWIND1, MMASK1
      PARAMETER (MWIND1=20, MMASK1=5)
!
      CHARACTER*12 SLINE               ! Line Name
      CHARACTER*12 SSOURC              ! Source Name
      CHARACTER*12 STELES              ! Telescope Name
      CHARACTER*12 SMETHOD             ! Fit Method
      CHARACTER*32 DEFEXT              ! Default Extension
      CHARACTER*1 SANGLE               ! Angle unit
      CHARACTER*1 SHEADE               ! Header type
      CHARACTER*1 SMODEX,SMODEY        ! Plot Modes
      CHARACTER*1 SPLOT                ! Plot Type
      CHARACTER*1 SUNITX               ! Lower axis unit
      CHARACTER*1 SWEIGH               ! Summation Weight
      CHARACTER*1 SALIGN,SALIG2        ! Alignement
      CHARACTER*1 SBAD                 ! Bad checking
      CHARACTER*1 SUNITX_UP            ! Unit for upper axis of box
!
      REAL*4 SOFFS1,SOFFS2                  ! Offset Min Max (E-W)
      REAL*4 SOFFL1,SOFFL2                  ! Offset Min Max (N-S)
      REAL*4 STOLE                          ! Tolerance on position checks
      REAL*4 SBEAMT,SGAINT                  ! Tolerance on BeamEff and GainImage
      REAL*4 SWIND1(MWIND1),SWIND2(MWIND1)  ! Windows definition
      REAL*4 SMASK1(MMASK1),SMASK2(MMASK1)  ! Masks definition
      REAL*4 SEPOCH                         ! Default epoch
      REAL*4 SPOSA1,SPOSA2                  ! Position angle
!
      REAL*8 FANGLE                    ! Angle conversion factor
!
      INTEGER*4 SNUME1, SNUME2         ! Observation Numbers
      INTEGER*4 SSCAN1, SSCAN2         ! Scan Numbers
      INTEGER*4 SBASE                  ! Baseline degree
      INTEGER*4 SNWIND                 ! Window number
      INTEGER*4 SNMASK                 ! Mask number
      INTEGER*4 SKIND                  ! 0 Line, 1 Continuum
      INTEGER*4 SOBSE1,SOBSE2          ! Observing dates
      INTEGER*4 SREDU1,SREDU2          ! Reduction dates
      INTEGER*4 SCOORD                 ! Coordinate Type
      INTEGER*4 SVELOC                 ! Velocity Type
      INTEGER*4 LBASE                  ! Baseline type
      INTEGER*4 SQUAL1,SQUAL2          ! Quality of data
!
      LOGICAL SMATCH                   ! Position checking
      LOGICAL SCURSO                   ! Cursor active
      LOGICAL SMAPCL                   ! clear in MAP
      LOGICAL SFUPDA                   ! FIND UPDATE mode
      LOGICAL DO_SORT                  ! SORT index
      LOGICAL DO_SCAN                  ! SCAN Mode for PLOT, BASE, FOLD, ...
!
      COMMON /SASSET/ SOFFS1,SOFFS2,SOFFL1,SOFFL2,SBASE,                &
     &SSCAN1,SSCAN2,                                                    &
     &SNUME1,SNUME2,SNWIND,SWIND1,SWIND2,SEPOCH,                        &
     &SPOSA1,SPOSA2,                                                    &
     &SOBSE1,SOBSE2,SREDU1,SREDU2,STOLE,                                &
     &SBEAMT,SGAINT,                                                    &
     &SMATCH,SCURSO,                                                    &
     &SNMASK,SMASK1,SMASK2,SKIND,SCOORD,SVELOC,                         &
     &FANGLE,LBASE,SQUAL1,SQUAL2,SFUPDA,SMAPCL,DO_SORT,DO_SCAN
!
      COMMON /SASCET/ SLINE,SSOURC,STELES,SALIGN,SALIG2,                &
     &SANGLE,SHEADE,SMODEX,SMODEY,SPLOT,SUNITX,SWEIGH,                  &
     &SUNITX_UP,SBAD,DEFEXT,SMETHOD
      SAVE /SASSET/, /SASCET/
