!
! OBS.POINTER : Length of sections. If 0, section not present.
!
! Padding variables for proper alignment
      INTEGER RALIG1
      INTEGER RALIG2
      INTEGER RALIG3
      INTEGER RALIG4
      INTEGER RALIG5
      INTEGER RALIG6
      INTEGER RALIG7
      INTEGER RALIG8
      INTEGER MPAD
      PARAMETER (MPAD=8)
!
! Size of CRPAR, last item in CRPAR common
      INTEGER MRPAR
      INTEGER MTPAR                ! Currently 426
      PARAMETER (MTPAR=512)
!
! Section -2	/CRPAR/
! OBS.GENERAL : General parameters, always present
      INTEGER MGEN
      INTEGER MGEN2
      PARAMETER (MGEN=9,MGEN2=11)
      INTEGER  RNUM                ! Observation number
      INTEGER  RVER                ! Version number
      INTEGER  RTELES(3)           ! Telescope name
      INTEGER  RDOBS               ! Date of observation
      INTEGER  RDRED               ! Date of reduction
      INTEGER  RTYPEC              ! Type of coordinates
      INTEGER  RKIND               ! Type of data
      INTEGER  RQUAL               ! Quality of data
      INTEGER  RSCAN               ! Scan number
      REAL*8  RUT                  ! UT of observation
      REAL*8  RST                  ! LST of observation
      REAL*4  RAZ                  ! Azimuth
      REAL*4  REL                  ! Elevation
      REAL*4  RTAU                 ! Opacity
      REAL*4  RTSYS                ! System temperature
      REAL*4  RTIME                ! Integration time
! NOT in data ---
      CHARACTER*12 RCDOBS          ! date observation
      CHARACTER*12 RCDRED          ! date reduction
!
! Section -3
! OBS.POSITION : Position information.
      INTEGER MPOS
      PARAMETER (MPOS=17)
      INTEGER  RSOURC(3)           ! Source name
      REAL*4  REPOCH               ! Epoch of coordinates
      REAL*8  RLAM                 ! Lambda
      REAL*8  RBET                 ! Beta
      REAL*4  RLAMOF               ! Offset in Lambda
      REAL*4  RBETOF               ! Offset in Beta
      INTEGER  RPROJ               ! Projection system
!     descriptive system variables: REAL*8 READ-ONLY
!     See OBSINP manual for details
      REAL*8  RSL0P                      ! L0
      REAL*8  RSB0P                      ! B0
      REAL*8  RSK0P                      ! K0
!
! Section -4
! OBS.SPECTRO : Spectroscopic information (for spectra)
      INTEGER MSPEC
      PARAMETER (MSPEC=18)
      INTEGER  RLINE(3)            ! Line name
      REAL*8  RRESTF               ! Rest frequency
      INTEGER  RNCHAN              ! Number of channels
      REAL*4  RRCHAN               ! Reference channels
      REAL*4  RFRES                ! Frequency resolution
      REAL*4  RFOFF                ! Frequency offset
      REAL*4  RVRES                ! Velocity resolution
      REAL*4  RVOFF                ! Velocity at reference channel
      REAL*4  RBAD                 ! Blanking value
      REAL*8  RIMAGE               ! Image frequency
      INTEGER  RVTYPE              ! Type of velocity
      REAL*8  RSKYFR               ! Sky frequency
      REAL*4  RVTELES              ! Velocity of telescope relative to reference
!
! Section -5
! OBS.BASE : Baseline information (for spectra of drifts)
      INTEGER MWIND
      INTEGER MBASE
      PARAMETER (MWIND=20,MBASE=4+2*MWIND)
      INTEGER  RDEG                ! Degree of last baseline
      REAL*4  RSIGFI               ! Sigma
      REAL*4  RAIRE                ! Area under windows
      INTEGER  RNWIND              ! Number of line windows
      REAL*4  RW1(MWIND)           ! Lower limits of windows
      REAL*4  RW2(MWIND)           ! Upper limits of windows
!
! Section -6
! OBS.HISTORY : Scan numbers of initial observations
      INTEGER MSEQ
      INTEGER MORIG
      PARAMETER (MSEQ=100,MORIG=2*MSEQ+1)
      INTEGER  RNSEQ               ! Number of sequences
      INTEGER  RSTART(MSEQ)        ! Start can number of seq.
      INTEGER  REND(MSEQ)          ! End scan number of seq.
!
! Section -7
! OBS.PLOT : Default plotting limits.
      INTEGER MPLOT
      PARAMETER (MPLOT=4)
      REAL*4  RAMIN                ! Min Y value plotted
      REAL*4  RAMAX                ! Max Y value plotted
      REAL*4  RVMIN                ! Min X value plotted
      REAL*4  RVMAX                ! Max X value plotted
!
! Section -8
! OBS.FSWITCH : Frequency switching information (for spectra)
      INTEGER MXPHAS
      INTEGER MFSW
      PARAMETER (MXPHAS=8,MFSW=2+6*MXPHAS)
      INTEGER  RNPHAS              ! Number of phases
      REAL*8  RDECAL(MXPHAS)       ! Frequency offsets
      REAL*4  RDUREE(MXPHAS)       ! Time per phase
      REAL*4  RPOIDS(MXPHAS)       ! Weight of each phase
      INTEGER  RSWMOD              ! Switching mode (frequency, position...)
      REAL*4  RLDECAL(MXPHAS)      ! Lambda offsets
      REAL*4  RBDECAL(MXPHAS)      ! Beta offsets of each phase
!
! Section -14
! OBS.CALIBRATION : Calibration parameters
      INTEGER MCALIB
      PARAMETER (MCALIB=25)
      REAL*4  RBEEFF               ! Beam efficiency
      REAL*4  RFOEFF               ! Forward efficiency
      REAL*4  RGAINI               ! Image/Signal gain ratio
      REAL*4  RH2OMM               ! MM of water vapor
      REAL*4  RPAMB                ! Ambient pressure (hPa)
      REAL*4  RTAMB                ! Ambient temperature (K)
      REAL*4  RTATMS               ! Atmosphere temp. signal band
      REAL*4  RTCHOP               ! Chopper temperature
      REAL*4  RTCOLD               ! Cold load temperature
      REAL*4  RTAUS                ! Opacity signal band
      REAL*4  RTAUI                ! Opacity image band
      REAL*4  RTATMI               ! Atmosphere temp. image band
      REAL*4  RTREC                ! Receiver temperature
      INTEGER  RCMODE              ! Calibration mode
      REAL*4  RATFAC               ! Applied calibration factor
      REAL*4  RALTI                ! Site elevation
      REAL*4  RCOUNT(3)            ! Power of Atm., Chopp., Cold
      REAL*4  RLCALOF              ! Longitude offset for sky measurement
      REAL*4  RBCALOF              ! Latitude offset for sky measurement
      REAL*8  RGEOLONG             ! Geographic longitude of observatory
      REAL*8  RGEOLAT              ! Geographic latitude of observatory
!
! Section -16
! OBS.SKYDIP : For Skydips observations. No associated data.
      INTEGER MSKY
      INTEGER MSKYDIP
      PARAMETER (MSKY=10,MSKYDIP=10+4*MSKY)
      INTEGER  RSLINE(3)           ! Line name
      REAL*8  RSREST               ! Rest frequency
      REAL*8  RSIMAG               ! Image frequency
      INTEGER  RNSKY               ! Number of points on sky
      INTEGER  RNCHOP              !    -   -    -    - chopper
      INTEGER  RNCOLD              !    -   -    -    - cold load
      REAL*4  RELEV(MSKY)          ! Elevations
      REAL*4  REMISS(MSKY)         ! Power on sky
      REAL*4  RCHOPP(MSKY)         ! Power on chopper
      REAL*4  RCOLD(MSKY)          ! Power on cold load
!
! Section -9 	/CRGAUS/
! OBS.GAUSS : Gauss fit results (for spectra or drifts)
      INTEGER MXGAUS
      INTEGER MFIT
      PARAMETER (MXGAUS=5,MFIT=3+6*MXGAUS)
      INTEGER  RNLINE              ! Number of components
      REAL*4  RSIGBA               ! Sigma on base
      REAL*4  RSIGRA               ! Sigma on line
      REAL*4  RNFIT(3*MXGAUS)      ! Fit results
      REAL*4  RNERR(3*MXGAUS)      ! Errors
!
! Section -12 	/CRSHEL/
! OBS.SHELL : "Stellar shell" profile fit results (for spectra)
      INTEGER MSHELL
      PARAMETER (MSHELL=43)
      INTEGER  RLSHEL              ! Number of components
      REAL*4  RBSHEL               ! Sigma on base
      REAL*4  RRSHEL               ! Sigma on line
      REAL*4  RNSHEL(20)           ! Fit results
      REAL*4  RESHEL(20)           ! Errors
!
! Section -13	/CRNH3/
! OBS.HFS : "Hyperfine Structure" profile fit results (for spectra)
!           (e.g. NH3, HCN)
      INTEGER MNH3
      PARAMETER (MNH3=27)
      INTEGER  RLNH3               ! Number of components
      REAL*4  RBNH3                ! Sigma on base
      REAL*4  RRNH3                ! Sigma on line
      REAL*4  RNNH3(12)            ! Fit results
      REAL*4  RENH3(12)            ! Errors
!
! Section -18	/CRABS/
! OBS.ABS : "Hyperfine Structure" absorption profile fit results (for spectra)
!           (e.g. NH3, HCN)
      INTEGER MABS
      PARAMETER (MABS=35)
      INTEGER  RLABS               ! Number of components
      REAL*4  RBABS                ! Sigma on base
      REAL*4  RRABS                ! Sigma on line
      REAL*4  RNABS(16)            ! Fit results
      REAL*4  REABS(16)            ! Errors
!
! Section -10	/CRCONT/
! OBS.DRIFT : Continuum drift description (for drifts)
      INTEGER MCONT
      PARAMETER (MCONT=16)
      REAL*8  RFREQ                ! Rest frequency
      REAL*4  RWIDTH               ! Bandwidth
      INTEGER  RNPOIN              ! Number of data points
      REAL*4  RRPOIN               ! Reference point
      REAL*4  RTREF                ! Time at reference
      REAL*4  RAREF                ! Angular offset at ref.
      REAL*4  RAPOS                ! Position angle of drift
      REAL*4  RTRES                ! Time resolution
      REAL*4  RARES                ! Angular resolution
      REAL*4  RCBAD                ! Blanking value
      INTEGER  RCTYPE              ! Type of offsets
      REAL*8  RCIMAG               ! Image frequency
      REAL*4  RCOLLA               ! Collimation error Az
      REAL*4  RCOLLE               ! Collimation error El
!
! Section -11
! OBS.BEAM : Beam-switching parameters (for spectra or drifts)
      INTEGER MBEAM
      PARAMETER (MBEAM=5)
      REAL*4  RCAZIM               ! Azimuth of observation
      REAL*4  RCELEV               ! Elevation of observation
      REAL*4  RSPACE               ! Beam spacing
      REAL*4  RBPOS                ! Position angle of beams
      INTEGER  RBTYPE              ! System for angle
!
! Section -15 /CRPOINT/
! OBS.CONTINUUM : Double gaussian and baseline fit results (for drifts)
      INTEGER MFCONT
      PARAMETER (MFCONT=19)
      INTEGER  RLCONT              ! Number of components
      REAL*4  RBCONT               ! Sigma on base
      REAL*4  RRCONT               ! Sigma on line
      REAL*4  RNCONT(8)            ! Results
      REAL*4  RECONT(8)            ! Errors
!
! Section -30 Data Section Descriptor
      INTEGER MDESCR
      PARAMETER (MDESCR=4)
      INTEGER R_NDUMP              ! Number of records
      INTEGER R_LDPAR              ! Length of data header (longwords)
      INTEGER R_LDATL              ! length of line data      (")
      INTEGER R_LDUMP              ! length of record         (")
!
      COMMON /CRPAR/ RALIG1, RNUM, RVER, RTELES, RDOBS, RDRED, RTYPEC,  &
     &   RKIND, RQUAL, RSCAN, RUT, RST, RAZ, REL, RTAU, RTSYS, RTIME,   &
     &   RCDOBS, RCDRED, RALIG2, RSOURC, REPOCH, RLAM, RBET, RLAMOF,    &
     &   RBETOF, RPROJ, RALIG3, RSL0P, RSB0P, RSK0P, RALIG4, RLINE,     &
     &   RRESTF, RNCHAN, RRCHAN, RFRES, RFOFF, RVRES, RVOFF, RBAD,      &
     &   RALIG5, RIMAGE, RVTYPE, RALIG6, RSKYFR, RVTELES, RDEG, RSIGFI, &
     &   RAIRE, RNWIND, RW1, RW2, RNSEQ, RSTART, REND, RAMIN, RAMAX,    &
     &   RVMIN, RVMAX, RALIG7, RNPHAS, RDECAL, RDUREE, RPOIDS, RSWMOD,  &
     &   RLDECAL, RBDECAL, RBEEFF, RFOEFF, RGAINI, RH2OMM, RPAMB,       &
     &   RTAMB, RTATMS, RTCHOP, RTCOLD, RTAUS, RTAUI, RTATMI, RTREC,    &
     &   RCMODE, RATFAC, RALTI, RCOUNT, RLCALOF, RBCALOF, RGEOLONG,     &
     &   RGEOLAT, RALIG8, RSLINE, RSREST, RSIMAG, RNSKY, RNCHOP,        &
     &   RNCOLD, RELEV, REMISS, RCHOPP, RCOLD, R_NDUMP, R_LDPAR,        &
     &   R_LDATL, R_LDUMP, MRPAR
! MRPAR must be the last item in that list
      COMMON /CRGAUS/ RNLINE, RSIGBA, RSIGRA, RNFIT, RNERR
      COMMON /CRSHEL/ RLSHEL, RBSHEL, RRSHEL, RNSHEL, RESHEL
      COMMON /CRNH3/ RLNH3, RBNH3, RRNH3, RNNH3, RENH3
      COMMON /CRABS/ RLABS, RBABS, RRABS, RNABS, REABS
      COMMON /CRCONT/ RFREQ, RWIDTH, RNPOIN, RRPOIN, RTREF, RAREF,      &
     &RAPOS, RTRES, RARES, RCBAD, RCTYPE, RCIMAG, RCOLLA,               &
     &RCOLLE, RCAZIM, RCELEV, RSPACE, RBPOS, RBTYPE
      COMMON /CRPOINT/ RLCONT, RBCONT, RRCONT, RNCONT, RECONT
!
      SAVE /CRPAR/, /CRGAUS/, /CRSHEL/, /CRNH3/, /CRCONT/, /CRPOINT/,   &
     &/CRABS/
